digiKam Software Collection 2.4.0 is out...

digikam-histogramview

Dear all digiKam fans and users!

After one month of development, digiKam team is proud to announce the digiKam Software Collection 2.4.0, as bug-fixes release, including a total of 25 fixed bugs. In this release, histogram view from right sidebar have been improved for better image analyse.

Close companion Kipi-plugins is released along with digiKam 2.4.0. This release features some bugs fixes and translations update.

As usual, digiKam software collection tarball can be downloaded from SourceForge Repository.

Happy digiKam...

Thanks for the

Thanks for the release.

What's the point of the third number in the release version btw? With montly releases it seems to have little to no purpose. It would look more clean if it were to be dropped completely e.g 2.5.0 vs 2.5.

no, third release number still used sometime...

...for example, 2.1.1 release exist with small translations update...

And 2.4.1 release exists with

And 2.4.1 release exists with this release. Not sure what's different in 2.4.1 to 2.4.0 though. Didn't find any reason in the changelog och news files. Maybe just some cleaning and tarball repackage?

Nicolas Lécureuil said in G+...

... "2.4.0 didn't had all i18n data, so 2.4.1 just fix localisation install."

Gilles Caulier

Great i like small fix

Great i like small fix realases ... :D ... good job guys for lot of works and fixes ... soon we will get most adwanced photo managment software ...

KDE4 Dependency

Love Digikam - both on Linux and that other OS, however its dependency on KDE4 is a little annoying.

Is it possible to make Digikam autonomous like Libreoffice? I'm running KDE3.5.10 (yes, I have ancient hardware) and the latest Libreoffice and GIMP work fine on it. Digikam however is its Achilles heel, stuck at 0.9.6.

Otherwise, keep up the fantastic work on this brilliant piece of software.

Hi! I run KDE4, and Digikam,

Hi!
I run KDE4, and Digikam, on an 2002 Pentium IV. Works fairly well. I will recommend upgrading to KDE4 for several reasons. Performance is much better now than in the earlier KDE4 versions.

Windows binaries, please? :)

Windows binaries, please? :)

Working on it

There is a problem with this version I am trying to resolve on Windows before I package it. I hope to get it working this weekend.

Can't build it under debian

Hey a great new release but unfortunately I can't build it under Debian Testing/Unstable because of some qjson errors. The libqjson & libqjson-dev version in Debian are at version 0.7.1. But strangely I get those errors when compiling

/home/leszek/Downloads/work/digikam/digikam-2.4.1/extra/libkvkontakte/libkvkontakte/vkontaktejobs.cpp:121: undefined reference to `QJson::Parser::Parser()'
/home/leszek/Downloads/work/digikam/digikam-2.4.1/extra/libkvkontakte/libkvkontakte/vkontaktejobs.cpp:123: undefined reference to `QJson::Parser::parse(QByteArray const&, bool*)'
/home/leszek/Downloads/work/digikam/digikam-2.4.1/extra/libkvkontakte/libkvkontakte/vkontaktejobs.cpp:136: undefined reference to `QJson::Parser::errorString() const'
/home/leszek/Downloads/work/digikam/digikam-2.4.1/extra/libkvkontakte/libkvkontakte/vkontaktejobs.cpp:121: undefined reference to `QJson::Parser::~Parser()'
/home/leszek/Downloads/work/digikam/digikam-2.4.1/extra/libkvkontakte/libkvkontakte/vkontaktejobs.cpp:121: undefined reference to `QJson::Parser::~Parser()'
collect2: ld returned 1 exit status

Perhaps someone could help. Either its a problem with digikam or the Debian qjson package.

linking pb

It's a linking problem, not a compilation problem. Sound like linker cannot find all qjson library object on your system.

Thx for the info. I guess the

Thx for the info. I guess the problem is caused by this change here: http://web.archiveorange.com/archive/v/mK9nVL5bLqiRIBYPNtuv

After grabing FindQJson.cmake from an older 0.7.1-3 debian package and copying it to the right location I could successfully compile Digikam 2.4.1.
So I suggest contacting the Debian Maintainer of this package to get a solution or to fix it in the Digikam Code. (As far as I understood the above link it can be fixed both ways, but I am no QJson expert, so I really don't know)

To make Digikam compile, you

To make Digikam compile, you can add this to extra/libkvkontakte/CMakeLists.txt:

SET_TARGET_PROPERTIES(kvkontakte PROPERTIES LINK_FLAGS -Wl,-lqjson)

Yes! this works for

Yes! this works for kvkontakte, thanks!

But I still having problem compiling in debian because kdelib 4.7 is not available (only in debian experimental!)

In wich debian version have you compiled? there are some workaround?

Debian packages - 2.4.1

I have now uploaded the Debian packages, again to experimental, due to the other dependencies.

In short, using Debian, you do need to upgrade KDE SC in experimental to use digikam 2.4.1.

Mark